SLHDSAParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.slhdsa

## Class SLHDSAParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.slhdsa.SLHDSAParameters

- Deprecated.
  use org.bouncycastle.crypto.params.SLHDSAParameters

      @Deprecated
      public class SLHDSAParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SLHDSAParameters` | `sha2_128f` Deprecated.
    `static SLHDSAParameters` | `sha2_128f_with_sha256` Deprecated.
    `static SLHDSAParameters` | `sha2_128s` Deprecated.
    `static SLHDSAParameters` | `sha2_128s_with_sha256` Deprecated.
    `static SLHDSAParameters` | `sha2_192f` Deprecated.
    `static SLHDSAParameters` | `sha2_192f_with_sha512` Deprecated.
    `static SLHDSAParameters` | `sha2_192s` Deprecated.
    `static SLHDSAParameters` | `sha2_192s_with_sha512` Deprecated.
    `static SLHDSAParameters` | `sha2_256f` Deprecated.
    `static SLHDSAParameters` | `sha2_256f_with_sha512` Deprecated.
    `static SLHDSAParameters` | `sha2_256s` Deprecated.
    `static SLHDSAParameters` | `sha2_256s_with_sha512` Deprecated.
    `static SLHDSAParameters` | `shake_128f` Deprecated.
    `static SLHDSAParameters` | `shake_128f_with_shake128` Deprecated.
    `static SLHDSAParameters` | `shake_128s` Deprecated.
    `static SLHDSAParameters` | `shake_128s_with_shake128` Deprecated.
    `static SLHDSAParameters` | `shake_192f` Deprecated.
    `static SLHDSAParameters` | `shake_192f_with_shake256` Deprecated.
    `static SLHDSAParameters` | `shake_192s` Deprecated.
    `static SLHDSAParameters` | `shake_192s_with_shake256` Deprecated.
    `static SLHDSAParameters` | `shake_256f` Deprecated.
    `static SLHDSAParameters` | `shake_256f_with_shake256` Deprecated.
    `static SLHDSAParameters` | `shake_256s` Deprecated.
    `static SLHDSAParameters` | `shake_256s_with_shake256` Deprecated.
    `static int` | `TYPE_PURE` Deprecated.
    `static int` | `TYPE_SHA2_256` Deprecated.
    `static int` | `TYPE_SHA2_512` Deprecated.
    `static int` | `TYPE_SHAKE128` Deprecated.
    `static int` | `TYPE_SHAKE256` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getN()` Deprecated.
    `java.lang.String` | `getName()` Deprecated.
    `int` | `getType()` Deprecated.
    `boolean` | `isPreHash()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PURE

          public static final int TYPE_PURE

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_SHA2_256

          public static final int TYPE_SHA2_256

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_SHA2_512

          public static final int TYPE_SHA2_512

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_SHAKE128

          public static final int TYPE_SHAKE128

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_SHAKE256

          public static final int TYPE_SHAKE256

      Deprecated.
      See Also:
        Constant Field Values

    - #### sha2_128f

          public static final SLHDSAParameters sha2_128f

      Deprecated.

    - #### sha2_128s

          public static final SLHDSAParameters sha2_128s

      Deprecated.

    - #### sha2_192f

          public static final SLHDSAParameters sha2_192f

      Deprecated.

    - #### sha2_192s

          public static final SLHDSAParameters sha2_192s

      Deprecated.

    - #### sha2_256f

          public static final SLHDSAParameters sha2_256f

      Deprecated.

    - #### sha2_256s

          public static final SLHDSAParameters sha2_256s

      Deprecated.

    - #### shake_128f

          public static final SLHDSAParameters shake_128f

      Deprecated.

    - #### shake_128s

          public static final SLHDSAParameters shake_128s

      Deprecated.

    - #### shake_192f

          public static final SLHDSAParameters shake_192f

      Deprecated.

    - #### shake_192s

          public static final SLHDSAParameters shake_192s

      Deprecated.

    - #### shake_256f

          public static final SLHDSAParameters shake_256f

      Deprecated.

    - #### shake_256s

          public static final SLHDSAParameters shake_256s

      Deprecated.

    - #### sha2_128f_with_sha256

          public static final SLHDSAParameters sha2_128f_with_sha256

      Deprecated.

    - #### sha2_128s_with_sha256

          public static final SLHDSAParameters sha2_128s_with_sha256

      Deprecated.

    - #### sha2_192f_with_sha512

          public static final SLHDSAParameters sha2_192f_with_sha512

      Deprecated.

    - #### sha2_192s_with_sha512

          public static final SLHDSAParameters sha2_192s_with_sha512

      Deprecated.

    - #### sha2_256f_with_sha512

          public static final SLHDSAParameters sha2_256f_with_sha512

      Deprecated.

    - #### sha2_256s_with_sha512

          public static final SLHDSAParameters sha2_256s_with_sha512

      Deprecated.

    - #### shake_128f_with_shake128

          public static final SLHDSAParameters shake_128f_with_shake128

      Deprecated.

    - #### shake_128s_with_shake128

          public static final SLHDSAParameters shake_128s_with_shake128

      Deprecated.

    - #### shake_192f_with_shake256

          public static final SLHDSAParameters shake_192f_with_shake256

      Deprecated.

    - #### shake_192s_with_shake256

          public static final SLHDSAParameters shake_192s_with_shake256

      Deprecated.

    - #### shake_256f_with_shake256

          public static final SLHDSAParameters shake_256f_with_shake256

      Deprecated.

    - #### shake_256s_with_shake256

          public static final SLHDSAParameters shake_256s_with_shake256

      Deprecated.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Deprecated.

    - #### getType

          public int getType()

      Deprecated.

    - #### getN

          public int getN()

      Deprecated.

    - #### isPreHash

          public boolean isPreHash()

      Deprecated.